Subject: Re: [PATCH net-next] ibmvnic: Free rwi on reset success

From: Jakub Kicinski <[email-masked]>
Date: Tue, 18 Oct 2022 11:45:02 -0700

On Mon, 17 Oct 2022 10:15:16 -0500 Nick Child wrote:
> Subject: [PATCH net-next] ibmvnic: Free rwi on reset success

Why net-next? it's a fix, right? it should go to Linus in the current
release cycle, i.e. the next -rc release.

Please make sure to CC the authors of the change under Fixes, and 
the maintainers of the driver. ./scripts/get_maintainer is your friend.

> Free the rwi structure in the event that the last rwi in the list
> processed successfully. The logic in commit 4f408e1fa6e1 ("ibmvnic:
> retry reset if there are no other resets") introduces an issue that
> results in a 32 byte memory leak whenever the last rwi in the list
> gets processed.
> 
> Fixes: 4f408e1fa6e1 ("ibmvnic: retry reset if there are no other resets")
> Signed-off-by: Nick Child <[email-masked]>